This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 168563 - Versioned self-obsoletes do not work
Versioned self-obsoletes do not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-17 06:09 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 14:19:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test-1.0 (obsoletes test = 1.1) (262 bytes, text/plain)
2005-09-17 06:09 EDT, Ville Skyttä
no flags Details
test-1.1 (235 bytes, text/plain)
2005-09-17 06:10 EDT, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2005-09-17 06:09:33 EDT
Using versioned self-obsoletes would be a convenient way to avoid Epoch bumps 
in a lot of cases.  However, they don't work (tested on FC-4, I don't have a 
more recent system to test with).  Reproducer specfiles attached. 
 
# rpm -qp --provides test-1.0-1.i386.rpm 
test = 1.0-1 
# rpm -qp --provides test-1.1-1.i386.rpm 
test = 1.1-1 
# rpm -qp --obsoletes test-1.0-1.i386.rpm 
test = 1.1 
# rpm -qp --obsoletes test-1.1-1.i386.rpm 
(none) 
# rpm -i test-1.0-1.i386.rpm 
# rpm -U test-1.1-1.i386.rpm 
# rpm -q test 
test-1.1-1 
# rpm -U test-1.0-1.i386.rpm 
        package test-1.1-1 (which is newer than test-1.0-1) is already 
 
I would expect 1.1 not to be treated as an upgrade over 1.0, but yes the other 
way around.
Comment 1 Ville Skyttä 2005-09-17 06:09:33 EDT
Created attachment 118929 [details]
test-1.0 (obsoletes test = 1.1)
Comment 2 Ville Skyttä 2005-09-17 06:10:14 EDT
Created attachment 118930 [details]
test-1.1
Comment 3 Jeff Johnson 2005-09-22 14:19:36 EDT
Versioned: self-obsoletes is bad craziness. You really expect a package monkey to figure out how to use 
an overloaded Obsoletes: functionality in sensible and general ways?
Comment 4 Ville Skyttä 2005-09-22 14:46:00 EDT
What "overloaded Obsoletes"?  Consistent behaviour is easy to understand. 

Note You need to log in before you can comment on or make changes to this bug.